Name:           freemarker
Version:        2.3.31
Release:        %mkrel 3
Group:          Development/Java
Summary:        The Apache FreeMarker Template Engine
License:        ASL 2.0
URL:            https://freemarker.apache.org
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://archive.apache.org/dist/freemarker/engine/%{version}/source/apache-freemarker-%{version}-src.tar.gz
Source1:        https://archive.apache.org/dist/freemarker/engine/%{version}/source/apache-freemarker-%{version}-src.tar.gz.asc
Source2:        https://archive.apache.org/dist/freemarker/KEYS

# enable jdom extension
Patch0:         enable-jdom.patch
# Fix compatibility with javacc 7.0.12
Patch2:         90.patch
# Migrate ivy.xml DOCTYPE decl to ivysettings.xml
Patch3:         workaround-doctype-decl.patch

BuildRequires:  ant
BuildRequires:  gnupg2
BuildRequires:  ivy-local
BuildRequires:  java-1.8.0-openjdk
BuildRequires:  java-11-openjdk-devel
BuildRequires:  mvn(biz.aQute:bnd)
BuildRequires:  mvn(commons-logging:commons-logging)
BuildRequires:  mvn(dom4j:dom4j)
BuildRequires:  mvn(jakarta.el:jakarta.el-api)
BuildRequires:  mvn(javax.servlet:jsp-api)
BuildRequires:  mvn(javax.servlet:servlet-api)
BuildRequires:  mvn(jaxen:jaxen)
BuildRequires:  mvn(jdom:jdom)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(net.java.dev.javacc:javacc)
BuildRequires:  mvn(org.apache:apache:pom:)
BuildRequires:  mvn(org.slf4j:jcl-over-slf4j)
BuildRequires:  mvn(org.slf4j:log4j-over-slf4j)
BuildRequires:  mvn(rhino:js)
BuildRequires:  mvn(xalan:xalan)

Obsoletes:      freemarker-javadoc < 2.3.30-2

%description
Apache FreeMarker is a template engine: a Java library to generate text output
(HTML web pages, e-mails, configuration files, source code, etc.) based on
templates and changing data. Templates are written in the FreeMarker Template
Language (FTL), which is a simple, specialized language (not a full-blown
programming language like PHP).

%prep
%autosetup -p1 -n apache-%{name}-%{version}-src

%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'

find -type f '(' -name '*.jar' -o -iname '*.class' ')' -print -delete

# Use system ivy settings
rm ivysettings.xml

# Add jakarta.el-api
%pom_add_dep jakarta.el:jakarta.el-api:4.0.0

# Remove saxpath
%pom_remove_dep saxpath:saxpath

# Remove avalon-logkit
%pom_remove_dep avalon-logkit:avalon-logkit
rm src/main/java/freemarker/log/_AvalonLoggerFactory.java

# Remove javarebel-sdk
%pom_remove_dep org.zeroturnaround:javarebel-sdk
rm src/main/java/freemarker/ext/beans/JRebelClassChangeNotifier.java

# Remove jsp classes
rm src/main/java/freemarker/ext/jsp/FreeMarkerJspFactory2.java
rm src/main/java/freemarker/ext/jsp/_FreeMarkerPageContext2.java

# Remove jython:jython
%pom_remove_dep jython:jython
rm src/main/java/freemarker/ext/ant/UnlinkedJythonOperationsImpl.java
rm src/main/java/freemarker/ext/jython/JythonHashModel.java
rm src/main/java/freemarker/ext/jython/JythonModel.java
rm src/main/java/freemarker/ext/jython/JythonModelCache.java
rm src/main/java/freemarker/ext/jython/JythonNumberModel.java
rm src/main/java/freemarker/ext/jython/JythonSequenceModel.java
rm src/main/java/freemarker/ext/jython/JythonVersionAdapter.java
rm src/main/java/freemarker/ext/jython/JythonVersionAdapterHolder.java
rm src/main/java/freemarker/ext/jython/JythonWrapper.java
rm src/main/java/freemarker/ext/jython/_Jython20And21VersionAdapter.java
rm src/main/java/freemarker/template/utility/JythonRuntime.java

# Remove org.python:jython
%pom_remove_dep org.python:jython
rm src/main/java/freemarker/ext/jython/_Jython22VersionAdapter.java
rm src/main/java/freemarker/ext/jython/_Jython25VersionAdapter.java

%mvn_file : %{name}

%build
JAVA_HOME=%{_jvmdir}/java-11 ant \
  -Divy.mode=local \
  -Dsun.boot.class.path=%{_jvmdir}/jre-1.8.0/lib/rt.jar \
  jar maven-pom

%install
%mvn_artifact build/pom.xml build/freemarker.jar
%mvn_install

%files -f .mfiles
%doc README.md RELEASE-NOTES
%license LICENSE NOTICE



%changelog
* Sat May 25 2024 daviddavid <daviddavid> 2.3.31-3.mga10
+ Revision: 2067532
- aad debian patch to migrate ivy.xml DOCTYPE decl to ivysettings.xml
+ ns80 <ns80>
- rebuild for java 21

* Thu Jan 05 2023 daviddavid <daviddavid> 2.3.31-2.mga9
+ Revision: 1930439
- obsolete removed freemarker-javadoc sub pkg

* Fri Dec 02 2022 neoclust <neoclust> 2.3.31-1.mga9
+ Revision: 1914889
- New version 2.3.31

* Sat Jan 23 2021 neoclust <neoclust> 2.3.30-1.mga8
+ Revision: 1672925
- Fix build with jakarta-el
+ daviddavid <daviddavid>
- Update to latest upstream release 2.3.30
- Fixing to Java 8 due to requirement for Java 8 boot classpath; this should
  be ported to use the compiler release flag in the future

* Sat Feb 15 2020 umeabot <umeabot> 2.3.28-4.mga8
+ Revision: 1527751
- Mageia 8 Mass Rebuild

* Wed Jul 24 2019 daviddavid <daviddavid> 2.3.28-3.mga8
+ Revision: 1423768
- Allow conditionally building with a reduced dependency set

* Thu Sep 20 2018 umeabot <umeabot> 2.3.28-2.mga7
+ Revision: 1278377
- Mageia 7 Mass Rebuild

* Fri Aug 24 2018 daviddavid <daviddavid> 2.3.28-1.mga7
+ Revision: 1253701
- Update to latest upstream release 2.3.28
- Drop unnecessary dep on saxpath and avalon

* Sun Apr 22 2018 daviddavid <daviddavid> 2.3.27-1.mga7
+ Revision: 1221054
- new version: 2.3.27 (sync with fc29):
  * Update to latest release, project moved to the Apache Foundation
  * Drop unnecessary dep on findbugs
  * Build against glassfish instead of jboss

* Thu Oct 05 2017 daviddavid <daviddavid> 2.3.23-4.mga7
+ Revision: 1168923
- Fix compatibility with javacc 7

* Wed Mar 02 2016 neoclust <neoclust> 2.3.23-3.mga6
+ Revision: 981896
- Second rebuild of the java stack

* Sun Feb 28 2016 neoclust <neoclust> 2.3.23-2.mga6
+ Revision: 980489
- New version
- First rebuild of the java stack

* Tue Feb 09 2016 umeabot <umeabot> 2.3.19-10.mga6
+ Revision: 951918
- Mageia 6 Mass Rebuild

* Sun Jan 11 2015 pterjan <pterjan> 2.3.19-9.mga5
+ Revision: 809888
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 2.3.19-8.mga5
+ Revision: 740292
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3.19-7.mga5
+ Revision: 679342
- Mageia 5 Mass Rebuild

* Mon Jan 06 2014 dmorgan <dmorgan> 2.3.19-6.mga4
+ Revision: 565148
- Fix source for pom file

* Thu Jan 02 2014 dmorgan <dmorgan> 2.3.19-5.mga4
+ Revision: 564000
- Adapt to tomcat 7

* Sat Oct 19 2013 umeabot <umeabot> 2.3.19-4.mga4
+ Revision: 530958
- Mageia 4 Mass Rebuild

* Tue Jul 30 2013 joequant <joequant> 2.3.19-3.mga4
+ Revision: 461159
- remove java-nodeps from buildrequires

* Fri Jan 11 2013 umeabot <umeabot> 2.3.19-2.mga3
+ Revision: 350917
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 dmorgan <dmorgan> 2.3.19-1.mga3
+ Revision: 291749
- New version

* Wed Oct 19 2011 gil <gil> 2.3.16-1.mga2
+ Revision: 156652
- update to 2.3.16
- edit depmap for backward compatibility
- added maven2 pom

* Thu Apr 28 2011 dmorgan <dmorgan> 2.3.13-13.mga1
+ Revision: 92443
- Rebuild after bootstrapping
- imported package freemarker


* Wed Mar 16 2011 Omair Majid <omajid@redhat.com> - 2.3.13-12
- Drop build dependency on struts
- Remove buildroot cleaning and definition
- Remove versioned jars
- Remove dependency of javadoc subpackage on main package

* Mon Feb 28 2011 Omair Majid <omajid@redhat.com> - 2.3.13-12
- Remove dependency on tomcat5

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.13-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Sep 13 2010 Alexander Kurtakov <akurtako@redhat.com> 2.3.13-10
- Adapt to tomcat6-el jar rename.

* Mon Sep 13 2010 Alexander Kurtakov <akurtako@redhat.com> 2.3.13-9
- Add tomcat6-libs BR.
- Use global instead of define.

* Sat Feb 27 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> 2.3.13-8
- fix build patch for use of the javacc 5.0
- patch for encoding
- disable brp-java-repack-jars

* Sat Feb 27 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> 2.3.13-7
- patch for logging
- remove name from the summary

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.13-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.13-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Sep 01 2008 Victor G. Vasilyev <victor.vasilyev@sun.com> 2.3.13-4
- Redundant dependency upon xerces-j2 is removed (#456276#c6)
- The dos2unix package is added as the build requirements
- The ant-nodeps build-time requirement is added

* Wed Aug 20 2008 Victor G. Vasilyev <victor.vasilyev@sun.com> 2.3.13-3
- The downloads.sourceforge.net host is used in the source URL
- %%{__install} and %%{__cp} are used everywhere
- %%defattr(-,root,root,-) is used everywhere

* Fri Aug 14 2008 Victor G. Vasilyev <victor.vasilyev@sun.com> 2.3.13-2
- Appropriate values of Group Tags are chosen from the official list
- Versions of java-devel & jpackage-utils are corrected
- Name of dir for javadoc is changed
- Manual is removed due to http://freemarker.org/docs/index.html

* Fri Jun 06 2008 Victor G. Vasilyev <victor.vasilyev@sun.com> 2.3.13-1
- Initial version
